# Class OSGiLauncherTabGroup

java.lang.Object
org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup
org.eclipse.pde.ui.launcher.OSGiLauncherTabGroup

All Implemented Interfaces:
  `ILaunchConfigurationTabGroup`

public class OSGiLauncherTabGroup extends AbstractLaunchConfigurationTabGroup
Creates and initializes the tabs on the OSGi Framework launch configuration. This class in not intended to be instantiated by clients - it is an extension that is instantiated by the platform.

Clients may subclass this class.

Since:
  3.3
Restriction:
  This class is not intended to be instantiated by clients.

## Field Summary

### Fields inherited from class AbstractLaunchConfigurationTabGroup

`fTabs`

## Constructor Summary

Constructors
Constructor
Description
`OSGiLauncherTabGroup()`

## Method Summary

Modifier and Type
Method
Description
`void`
`createTabs(ILaunchConfigurationDialog dialog, String mode)`
`void`
`initializeFrom(ILaunchConfiguration configuration)`
The tab group delegates to all tabs in the group.
`void`
`setDefaults(ILaunchConfigurationWorkingCopy configuration)`
Configures defaults on newly created launch configurations.

### Methods inherited from class AbstractLaunchConfigurationTabGroup

`dispose, getTabs, launched, performApply, setTabs`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OSGiLauncherTabGroup

public OSGiLauncherTabGroup()

## Method Details

### initializeFrom

public void initializeFrom(ILaunchConfiguration configuration)
The tab group delegates to all tabs in the group. Prior to the delegation, it migrates all launch configurations.

Specified by:
  `initializeFrom` in interface `ILaunchConfigurationTabGroup`
Overrides:
  `initializeFrom` in class `AbstractLaunchConfigurationTabGroup`
See Also:
  - `AbstractLaunchConfigurationTabGroup.initializeFrom(org.eclipse.debug.core.ILaunchConfiguration)`

### createTabs

public void createTabs(ILaunchConfigurationDialog dialog, String mode)

### setDefaults

public void setDefaults(ILaunchConfigurationWorkingCopy configuration)
Configures defaults on newly created launch configurations. This function also passes the launch configuration copy to the default registered OSGi framework, giving it an opportunity to initialize and override more defaults on the launch configuration. Refer to the `org.eclipse.pde.core.osgiFrameworks` extension point for more details on OSGi frameworks.

Specified by:
  `setDefaults` in interface `ILaunchConfigurationTabGroup`
Overrides:
  `setDefaults` in class `AbstractLaunchConfigurationTabGroup`
See Also:
  - `AbstractLaunchConfigurationTabGroup.setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy)`